Create Announcement
curl --request POST \
--url https://api.voxo.co/v2/admin/announcements/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": 123,
"name": "<string>",
"mediaFileId": 123,
"active": 0,
"startDate": "<string>",
"endDate": "<string>"
}
'import requests
url = "https://api.voxo.co/v2/admin/announcements/"
payload = {
"tenantId": 123,
"name": "<string>",
"mediaFileId": 123,
"active": 0,
"startDate": "<string>",
"endDate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenantId: 123,
name: '<string>',
mediaFileId: 123,
active: 0,
startDate: '<string>',
endDate: '<string>'
})
};
fetch('https://api.voxo.co/v2/admin/announcements/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tenantId": 123,
"name": "<string>",
"description": "<string>",
"mediaFile": {
"id": 123,
"name": "<string>",
"tenantId": 123
},
"active": 123,
"startDate": "<string>",
"endDate": "<string>",
"ivrs": [
{
"id": 123,
"name": "<string>",
"tenantId": 123,
"order": 123
}
],
"branch": {
"id": 123,
"name": "<string>"
}
}Announcements
Create Announcement
Create an announcement and optionally attach it to IVRs
POST
/
v2
/
admin
/
announcements
/
Create Announcement
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Created announcement
Announcement ID
Tenant ID
Announcement name
Announcement description
Attached media file
Show child attributes
Show child attributes
Active state (1 = active, 0 = inactive)
Start date (ISO 8601)
End date (ISO 8601)
IVRs this announcement is attached to
Show child attributes
Show child attributes
Owning branch
Show child attributes
Show child attributes
Was this page helpful?